## gnutls28 3.2.15

=== debian/changelog ===
gnutls28 (3.2.15-2~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.
  * Changes from sid:
    + Does not build OpenSSL wrapper.
    + No use of autogen and dh-autoreconf, wheezy's versions are too old.
    + Does not b-d/d on gmp 6. 
      WARNING! -> reverse dependencies in bpo need to be LGPLv3+ compliant.
    + Patch Makefile.in instead of Makefile.am.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 19 Jun 2014 14:50:54 +0200

gnutls28 (3.2.15-2) unstable; urgency=high

  * Fix crashes due to symbol clashes when a binary ends up being linked
    against GnuTLS v2 and v3 by bumping library symbol-versioning (and
    therefore also the soname) in a Debian specific way, to make sure there is
    no conflict with future:
    + 20_debian_specific_soname.diff
      - Symbol versions: GNUTLS_* -> GNUTLS_DEBIAN_0_*
      - Add "-release deb0" to libtool link command.
    + Rename libgnutls28 to libgnutls-deb0-28, matching the new soname.
    + Change 14_version_gettextcat.diff, too.
    Closes: #74874
  * Drop libgnutls28-dbg Conflicts with libgnutls13-dbg, libgnutls26-dbg.
    These have been unnecessary since we started using dh compat v9, where
    debugging symbols are installed to /usr/lib/debug/.build-id.
  * debian/copyright: Add info about GPLv2 compatibility.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 Jun 2014 18:56:03 +0200

gnutls28 (3.2.15-1) unstable; urgency=high

  * New upstream version.
    + Includes a fix for GNUTLS-SA-2014-3 / CVE-2014-3466.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 May 2014 08:37:00 +0200

gnutls28 (3.2.14-1) unstable; urgency=medium

  * Do not build-depend on guile-2.0 on m68k. Closes: #745461
  * New upstream version.
  * Manually version libgnutls28's dependency on libgmp10 as (>= 2:6), to
    enforce a dual-licensed (GPLv2+/LGPLv2.1+) version of GMP. Also add a
    corresponding versioned build-dependency, to prevent building of
    uninstallable packages.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 07 May 2014 19:29:26 +0200

gnutls28 (3.2.13-2) unstable; urgency=medium

  * Build OpenSSL wrapper from gnutls28, provide libgnutls-openssl-dev from
    libgnutls28-dev.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 16 Apr 2014 19:24:25 +0200

gnutls28 (3.2.13-1) unstable; urgency=medium

  * Also version the p11-kit dependency.
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 10 Apr 2014 19:08:40 +0200

gnutls28 (3.2.12.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Sync from Ubuntu (Colin Watson):
    + Add arm64 and ppc64el to the list of non-ia64 architectures on which
      guile-gnutls is built.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 12 Mar 2014 17:50:43 +0100

gnutls28 (3.2.12.1-1) experimental; urgency=medium

  * New upstream version.
    + Drop superfluous patches: 
      20_bug-in-gnutls_pcert_list_import_x509_raw.patch
      20_CVE-2014-0092.diff

 -- Andreas Metzler <ametzler@debian.org>  Wed, 05 Mar 2014 19:40:42 +0100

gnutls28 (3.2.10-2~bpo70+3) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.
  * 21_CVE-2014-0092.diff by Nikos Mavrogiannopoulos: Fix certificate
    validation issue. CVE-2014-0092

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Mar 2014 16:47:54 +0100

gnutls28 (3.2.10-2~bpo70+2) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.
  * Make autogen build-conflicts unversioned.
  * 20_fix_rejection-of-v1-intermedi.diff from upstream git: A version 1
    intermediate certificate will be considered as a CA certificate by default
    (something that deviates from the documented behavior).
    CVE-2014-1959 / GNUTLS-SA-2014-1

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2014 18:04:30 +0100

gnutls28 (3.2.10-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Use included newer copy of autogen instead of backporting it.
    + Build-conflict with autogen.
    + debian/rules: Do not remove autogen-ed files on clean, do not regenerate
      manpages.
  * Do not use dh-autoreconf, automake in stable is too old.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Feb 2014 18:07:01 +0100
