## gnutls28 3.2.16

=== debian/changelog ===
gnutls28 (3.2.16-1ubuntu2) utopic; urgency=medium

  * No-change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 21 Oct 2014 14:15:57 -0700

gnutls28 (3.2.16-1ubuntu1) utopic; urgency=medium

  * Make gnutls28 default.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Aug 2014 08:24:17 +0100

gnutls28 (3.2.16-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 23 Jul 2014 12:36:32 +0200

gnutls28 (3.2.15-3) unstable; urgency=medium

  * [debian/copright]: Replace reference to GPLv2.1 (which does not exist)
    with one to GPLv2. (Thanks, Jakub Wilk) Closes: #754160
  * Stop shipping libgnutls-xssl0, it has been removed in upstream's 3.3
    series.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Jul 2014 13:55:48 +0200
