=== debian/control ===
--- 
+++ 
@@ -9,9 +9,13 @@
 Build-Depends: debhelper (>= 9), nettle-dev (>= 2.7), zlib1g-dev,
  libtasn1-6-dev (>= 3.1), autotools-dev, guile-2.0-dev [!ia64 !m68k], datefudge,
  libp11-kit-dev (>= 0.20), pkg-config, chrpath, libidn11-dev,
- bison
+ autogen (>= 1:5.16-0), bison, dh-autoreconf, libgmp-dev (>= 2:6)
+# The b-d on libgmp-dev is not technically necessary, since nettle brings
+# it along. However we want to enforce that gnutls is only built if the
+# dual-licensed GMP is available, otherwise the resulting binary
+# cannot be installed.
 Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8)
-Build-Conflicts: libgnutls-dev, autogen
+Build-Conflicts: libgnutls-dev
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-gnutls/gnutls.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnutls/gnutls.git
@@ -20,12 +24,12 @@
 Package: libgnutls28-dev
 Section: libdevel
 Architecture: any
-Provides: gnutls-dev
+Provides: gnutls-dev, libgnutls-openssl-dev
 Depends: libgnutls-deb0-28 (= ${binary:Version}), 
- libgnutlsxx28 (= ${binary:Version}), libgnutls-xssl0 (= ${binary:Version}),
+ libgnutlsxx28 (= ${binary:Version}), 
  nettle-dev (>= 2.5), libc6-dev | libc-dev, zlib1g-dev,
- libtasn1-6-dev (>= 3.1), libp11-kit-dev (>= 0.20), ${misc:Depends}
-# libgnutls-openssl27 (= ${binary:Version}),
+ libtasn1-6-dev (>= 3.1), libp11-kit-dev (>= 0.20), ${misc:Depends},
+ libgnutls-openssl27 (= ${binary:Version}),
 Suggests: gnutls-doc, gnutls-bin, guile-gnutls
 Conflicts: gnutls-dev
 Replaces: gnutls-dev
@@ -52,7 +56,9 @@
 Package: libgnutls-deb0-28
 Priority: standard
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+# GMP >= 6 is dual-licensed GPLv2+/LGPLv2.1+. Be nice to rdeps and
+# enforce usage of this version. - Remove on gmp soname bump!
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp10 (>= 2:6)
 Replaces: gnutls0, gnutls3, gnutls0.4
 Conflicts: gnutls0, gnutls0.4
 Pre-Depends: ${misc:Pre-Depends}
@@ -189,41 +195,27 @@
  .
  This package contains the C++ runtime libraries.
 
-Package: libgnutls-xssl0
-Priority: extra
+Package: libgnutls-openssl27
+Priority: standard
 Architecture: any
 Depends: libgnutls-deb0-28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Description: GNU TLS library - XSSL API runtime library
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
- Transport Layer Security (DTLS 1.0, 1.2) protocols.
- .
- GnuTLS offers a simplified high-level API to GnuTLS. This API is currently
- marked experimental.
-
-# Package: libgnutls-openssl27
-# Priority: standard
-# Architecture: any
-# Depends: libgnutls-deb0-28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-# Pre-Depends: ${misc:Pre-Depends}
-# Multi-Arch: same
-# Description: GNU TLS library - OpenSSL wrapper
-#  GnuTLS is a portable library which implements the Transport Layer
-#  Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
-#  Transport Layer Security (DTLS 1.0, 1.2) protocols.
-#  .
-#  GnuTLS features support for:
-#   - TLS extensions: server name indication, max record size, opaque PRF
-#     input, etc.
-#   - authentication using the SRP protocol.
-#   - authentication using both X.509 certificates and OpenPGP keys.
-#   - TLS Pre-Shared-Keys (PSK) extension.
-#   - Inner Application (TLS/IA) extension.
-#   - X.509 and OpenPGP certificate handling.
-#   - X.509 Proxy Certificates (RFC 3820).
-#   - all the strong encryption algorithms (including SHA-256/384/512 and
-#     Camellia (RFC 4132)).
-#  .
-#  This package contains the runtime library of the GnuTLS OpenSSL wrapper.
+Description: GNU TLS library - OpenSSL wrapper
+ GnuTLS is a portable library which implements the Transport Layer
+ Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
+ Transport Layer Security (DTLS 1.0, 1.2) protocols.
+ .
+ GnuTLS features support for:
+  - TLS extensions: server name indication, max record size, opaque PRF
+    input, etc.
+  - authentication using the SRP protocol.
+  - authentication using both X.509 certificates and OpenPGP keys.
+  - TLS Pre-Shared-Keys (PSK) extension.
+  - Inner Application (TLS/IA) extension.
+  - X.509 and OpenPGP certificate handling.
+  - X.509 Proxy Certificates (RFC 3820).
+  - all the strong encryption algorithms (including SHA-256/384/512 and
+    Camellia (RFC 4132)).
+ .
+ This package contains the runtime library of the GnuTLS OpenSSL wrapper.
