=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
 	--enable-ld-version-script --enable-cxx \
+	--enable-static \
 	--without-lzo \
 	--disable-libdane --without-tpm \
 	--disable-heartbeat-support \
@@ -23,14 +24,13 @@
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(shell dpkg-parsechangelog | sed -n '/^Version: /s/^Version: //p') \
-	--disable-openssl-compatibility \
 	$(AMCONFBUILDINDEP) \
 	$(AMCONFBUILDGUILE)
 
 
 override_dh_makeshlibs:
-	dh_makeshlibs -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.2.10-0)'
-	dh_makeshlibs -p libgnutls-deb0-28  -V 'libgnutls-deb0-28 (>= 3.2.10-0)'
+	dh_makeshlibs -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.3.7-0)'
+	dh_makeshlibs -p libgnutls-deb0-28  -V 'libgnutls-deb0-28 (>= 3.3.7-0)' -- -c4
 	dh_makeshlibs -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.0-0)'
 	dh_makeshlibs --remaining-packages -Xguile/2.0/guile-gnutls-v-2.so
 
@@ -45,14 +45,14 @@
 	# restore gnutls.pdf
 	if [ -e doc/gnutls.pdf.debbackup ] && [ ! -e doc/gnutls.pdf ] ; \
 		then mv -v doc/gnutls.pdf.debbackup doc/gnutls.pdf ; fi
-#	rm -fv `grep -l 'has been AutoGen-ed ' doc/manpages/*.?`
+	rm -fv `grep -l 'has been AutoGen-ed ' doc/manpages/*.?`
 
 override_dh_auto_build:
 	dh_auto_build --verbose --parallel
 ifeq ($(filter --disable-doc,$(AMCONFBUILDINDEP)),)
 	$(MAKE) html
-#else
-#	$(MAKE) -C doc/manpages
+else
+	$(MAKE) -C doc/manpages
 endif
 
 override_dh_auto_install:
@@ -88,9 +88,6 @@
 	rm -vrf debian/libgnutlsxx28/usr/share/doc/libgnutlsxx28
 	dh_link -plibgnutlsxx28 usr/share/doc/libgnutls-deb0-28 \
 		usr/share/doc/libgnutlsxx28
-	rm -vrf debian/libgnutls-xssl0/usr/share/doc/libgnutls-xssl0
-	dh_link -plibgnutls-xssl0 usr/share/doc/libgnutls-deb0-28 \
-		usr/share/doc/libgnutls-xssl0
 
 override_dh_compress:
 	dh_compress -X.pdf
@@ -110,4 +107,4 @@
 	dh_clean -X.bak
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autoreconf
