=== debian/control ===
--- 
+++ 
@@ -7,15 +7,11 @@
  James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
 Build-Depends: debhelper (>= 9), nettle-dev (>= 2.7), zlib1g-dev,
- libtasn1-6-dev (>= 3.1), autotools-dev, guile-2.0-dev [!ia64 !m68k], datefudge,
- libp11-kit-dev (>= 0.20), pkg-config, chrpath, libidn11-dev,
- autogen (>= 1:5.16-0), bison, dh-autoreconf, libgmp-dev (>= 2:6)
-# The b-d on libgmp-dev is not technically necessary, since nettle brings
-# it along. However we want to enforce that gnutls is only built if the
-# dual-licensed GMP is available, otherwise the resulting binary
-# cannot be installed.
+ libtasn1-6-dev (>= 3.9), autotools-dev, guile-2.0-dev [!ia64 !m68k], datefudge,
+ libp11-kit-dev (>= 0.20.7), pkg-config, chrpath, libidn11-dev,
+ bison 
 Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8)
-Build-Conflicts: libgnutls-dev
+Build-Conflicts: libgnutls-dev, libp11-kit-dev (= 0.21.2-1), autogen
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-gnutls/gnutls.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnutls/gnutls.git
@@ -24,12 +20,12 @@
 Package: libgnutls28-dev
 Section: libdevel
 Architecture: any
-Provides: gnutls-dev, libgnutls-openssl-dev
+Provides: gnutls-dev
 Depends: libgnutls-deb0-28 (= ${binary:Version}), 
  libgnutlsxx28 (= ${binary:Version}), 
  nettle-dev (>= 2.5), libc6-dev | libc-dev, zlib1g-dev,
- libtasn1-6-dev (>= 3.1), libp11-kit-dev (>= 0.20), ${misc:Depends},
- libgnutls-openssl27 (= ${binary:Version}),
+ libtasn1-6-dev (>= 3.9), libp11-kit-dev (>= 0.20.7), ${misc:Depends}
+# libgnutls-openssl27 (= ${binary:Version})
 Suggests: gnutls-doc, gnutls-bin, guile-gnutls
 Conflicts: gnutls-dev
 Replaces: gnutls-dev
@@ -56,9 +52,7 @@
 Package: libgnutls-deb0-28
 Priority: standard
 Architecture: any
-# GMP >= 6 is dual-licensed GPLv2+/LGPLv2.1+. Be nice to rdeps and
-# enforce usage of this version. - Remove on gmp soname bump!
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp10 (>= 2:6)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: gnutls0, gnutls3, gnutls0.4
 Conflicts: gnutls0, gnutls0.4
 Pre-Depends: ${misc:Pre-Depends}
@@ -121,6 +115,11 @@
  This package contains a commandline interface to the GNU TLS library, which
  can be used to set up secure connections from e.g. shell scripts, debugging
  connection issues or managing certificates.
+ .
+ Useful utilities include:
+  - TLS termination: gnutls-cli, gnutls-serv, crywrap
+  - key and certificate management: certtool, ocsptool, p11tool
+  - credential management: srptool, psktool
 
 Package: gnutls-doc
 Architecture: all
@@ -195,27 +194,27 @@
  .
  This package contains the C++ runtime libraries.
 
-Package: libgnutls-openssl27
-Priority: standard
-Architecture: any
-Depends: libgnutls-deb0-28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: GNU TLS library - OpenSSL wrapper
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
- Transport Layer Security (DTLS 1.0, 1.2) protocols.
- .
- GnuTLS features support for:
-  - TLS extensions: server name indication, max record size, opaque PRF
-    input, etc.
-  - authentication using the SRP protocol.
-  - authentication using both X.509 certificates and OpenPGP keys.
-  - TLS Pre-Shared-Keys (PSK) extension.
-  - Inner Application (TLS/IA) extension.
-  - X.509 and OpenPGP certificate handling.
-  - X.509 Proxy Certificates (RFC 3820).
-  - all the strong encryption algorithms (including SHA-256/384/512 and
-    Camellia (RFC 4132)).
- .
- This package contains the runtime library of the GnuTLS OpenSSL wrapper.
+# Package: libgnutls-openssl27
+# Priority: standard
+# Architecture: any
+# Depends: libgnutls-deb0-28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+# Pre-Depends: ${misc:Pre-Depends}
+# Multi-Arch: same
+# Description: GNU TLS library - OpenSSL wrapper
+#  GnuTLS is a portable library which implements the Transport Layer
+#  Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
+#  Transport Layer Security (DTLS 1.0, 1.2) protocols.
+#  .
+#  GnuTLS features support for:
+#   - TLS extensions: server name indication, max record size, opaque PRF
+#     input, etc.
+#   - authentication using the SRP protocol.
+#   - authentication using both X.509 certificates and OpenPGP keys.
+#   - TLS Pre-Shared-Keys (PSK) extension.
+#   - Inner Application (TLS/IA) extension.
+#   - X.509 and OpenPGP certificate handling.
+#   - X.509 Proxy Certificates (RFC 3820).
+#   - all the strong encryption algorithms (including SHA-256/384/512 and
+#     Camellia (RFC 4132)).
+#  .
+#  This package contains the runtime library of the GnuTLS OpenSSL wrapper.
