=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,9 @@
 
 
 override_dh_makeshlibs:
-	dh_makeshlibs -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.3.7-0)'
-	dh_makeshlibs -p libgnutls-deb0-28  -V 'libgnutls-deb0-28 (>= 3.3.7-0)' -- -c4
-	dh_makeshlibs -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.0-0)'
+	dh_makeshlibs -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.3.8-0)'
+	dh_makeshlibs -p libgnutls-deb0-28  -V 'libgnutls-deb0-28 (>= 3.3.8-0)' -- -c4
+#	dh_makeshlibs -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.0-0)'
 	dh_makeshlibs --remaining-packages -Xguile/2.0/guile-gnutls-v-2.so
 
 
@@ -45,14 +45,15 @@
 	# restore gnutls.pdf
 	if [ -e doc/gnutls.pdf.debbackup ] && [ ! -e doc/gnutls.pdf ] ; \
 		then mv -v doc/gnutls.pdf.debbackup doc/gnutls.pdf ; fi
-	rm -fv `grep -l 'has been AutoGen-ed ' doc/manpages/*.?`
+#	rm -fv `grep -l 'has been AutoGen-ed ' doc/manpages/*.?`
+	rm -f tests/cert-tests/csr-invalid.der
 
 override_dh_auto_build:
 	dh_auto_build --verbose --parallel
 ifeq ($(filter --disable-doc,$(AMCONFBUILDINDEP)),)
 	$(MAKE) html
-else
-	$(MAKE) -C doc/manpages
+#else
+#	$(MAKE) -C doc/manpages
 endif
 
 override_dh_auto_install:
@@ -62,6 +63,7 @@
 endif
 	find debian/*/usr/lib/* -name '*.so.*.*' -type f -exec \
 		chrpath -d {} +
+	rm -vf debian/*/usr/lib/*/libgnutls-openssl*
 
 override_dh_installinfo:
 	dh_installinfo
@@ -96,6 +98,8 @@
 	dh_strip --dbg-package=libgnutls28-dbg
 
 override_dh_auto_test:
+	cp -v debian/csr-invalid.der tests/cert-tests/
+	chmod +x tests/cert-tests/crq
 	dh_auto_test -O--parallel || touch dh_auto_test.fail
 	@if test -e dh_auto_test.fail ; then \
 		find -name test-suite.log | \
@@ -107,4 +111,4 @@
 	dh_clean -X.bak
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel --with autotools_dev
